package com.ruoyi.invest.domain;

import com.ruoyi.tool.domain.TUnifyFile;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import java.util.List;

/**
 * 立项申请对象 t_project_approval
 * 
 * @author zjc
 * @date 2024-04-02
 */
@Data
public class TProjectApproval extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键ID */
    private String id;

    /** 项目ID */
    @Excel(name = "项目ID")
    private String projectPoolId;

    /** 项目名称 */
    @Excel(name = "项目名称")
    private String projectName;

    /** 项目概况 */
    @Excel(name = "项目概况")
    private String projectOverview;

    /** 项目亮点 */
    @Excel(name = "项目亮点")
    private String projectSparkle;

    /** 参与人 */
    private String participants;

    /** 参与人ID */
    private String participantsId;

    /** 状态 */
    private String delFlag;

    /**
     * 附件信息
     */
    private List<TUnifyFile> listFile;
    /**
     * 其他附件信息
     */
    private List<TUnifyFile> otherFile;

    /**
    * 是否需要立项会议
    */
    private String needMeeting;//0否1是

    /**
     * 流程状态
     */
    @ApiModelProperty("流程状态")
    private Integer status;//流程状态（ //0暂存1已提交2审批中3审批通过4关闭）

    //表外
    private String procInstId;//流程实例Id
    private String taskName;
    private String taskDefKey;

    private boolean flag; // true - 同意; false - 驳回
    private String isTerminate; // 是否终止 0 - 否/观望; 1 - 是/终止N

    public void setId(String id) 
    {
        this.id = id;
    }

    public String getId() 
    {
        return id;
    }
    public void setProjectPoolId(String projectPoolId) 
    {
        this.projectPoolId = projectPoolId;
    }

    public String getProjectPoolId() 
    {
        return projectPoolId;
    }
    public void setProjectOverview(String projectOverview) 
    {
        this.projectOverview = projectOverview;
    }

    public String getProjectOverview() 
    {
        return projectOverview;
    }
    public void setProjectSparkle(String projectSparkle) 
    {
        this.projectSparkle = projectSparkle;
    }

    public String getProjectSparkle() 
    {
        return projectSparkle;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    public List<TUnifyFile> getListFile() {
        return listFile;
    }

    public void setListFile(List<TUnifyFile> listFile) {
        this.listFile = listFile;
    }

    public String getParticipants() {
        return participants;
    }

    public void setParticipants(String participants) {
        this.participants = participants;
    }

    public String getParticipantsId() {
        return participantsId;
    }

    public void setParticipantsId(String participantsId) {
        this.participantsId = participantsId;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("projectPoolId", getProjectPoolId())
            .append("projectOverview", getProjectOverview())
            .append("projectSparkle", getProjectSparkle())
            .append("remark", getRemark())
            .append("delFlag", getDelFlag())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
